Bug 563935 - Update perl-IPC-ShareLite to 0.10 or later
Summary: Update perl-IPC-ShareLite to 0.10 or later
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora EPEL
Classification: Fedora
Component: perl-IPC-ShareLite
Version: el5
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Steven Pritchard
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-02-11 15:48 UTC by Xavier Bachelot
Modified: 2010-07-21 20:02 UTC (History)
2 users (show)

Fixed In Version: perl-IPC-ShareLite-0.13-4.el5
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-07-21 20:02:42 UTC


Attachments (Terms of Use)
Update EL-5 branch to 0.13 (1.70 KB, patch)
2010-02-11 15:48 UTC, Xavier Bachelot
no flags Details | Diff

Description Xavier Bachelot 2010-02-11 15:48:53 UTC
Created attachment 390283 [details]
Update EL-5 branch to 0.13

Please update perl-IPC-ShareLite to 0.10 or later.

We're getting segfaults on EL5 x86_64 with the current 0.09 that is shipped in EPEL5. This is fixed with 0.10.

I'm attaching a patch to sync the EL-5 spec with Rawhide. As a side note, even Rawhide is outdated, as the latest version is 0.17. I'll file a separate bug for that.
As always, I'm happy to co-maintain the package for EL-5 branch or even others branches if you wish so.

Comment 1 Xavier Bachelot 2010-02-11 16:55:56 UTC
Here's a code snippet that exhibit the issue (only with mod_perl, works thru a shell) :

use IPC::ShareLite;
$s=new IPC::ShareLite(-key=>1234,-create=>'yes',-destroy=>'no');
$s->store("test");
$s->fetch();

Comment 2 Xavier Bachelot 2010-03-09 12:27:53 UTC
Steven, it's been almost one month already since I filed the bug. Shall I request commit privileges on the EL-5 and devel branches to push the version bumps mentioned above ?

Comment 3 Xavier Bachelot 2010-06-15 17:13:51 UTC
Steve, are you still around ?
Please see also https://bugzilla.redhat.com/show_bug.cgi?id=563935

My offer for co-maintaining or even adopting the package still stand.

Comment 4 Fedora Update System 2010-06-25 22:40:18 UTC
perl-IPC-ShareLite-0.13-4.el5 has been submitted as an update for Fedora EPEL 5.
http://admin.fedoraproject.org/updates/perl-IPC-ShareLite-0.13-4.el5

Comment 5 Fedora Update System 2010-06-30 14:20:43 UTC
perl-IPC-ShareLite-0.13-4.el5 has been pushed to the Fedora EPEL 5 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update perl-IPC-ShareLite'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/perl-IPC-ShareLite-0.13-4.el5

Comment 6 Fedora Update System 2010-07-21 20:02:37 UTC
perl-IPC-ShareLite-0.13-4.el5 has been pushed to the Fedora EPEL 5 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.